package com.liquidnet.client.admin.zhengzai.sweet.service;


import com.liquidnet.service.kylin.dto.param.CreateActiveQrCodeParam;
import com.liquidnet.service.kylin.dto.param.CreateActiveTypeParam;
import com.liquidnet.service.sweet.entity.SweetActiveType;
import com.liquidnet.service.sweet.entity.SweetQrCode;

import java.util.List;

/**
 * <p>
 * 活动type表 服务类
 * </p>
 *
 * @author hujiachen
 * @since 2021-12-23
 */
public interface ISweetAdminQrCodeService {

    List<SweetQrCode> getList(String type);

    Boolean addQrCode(CreateActiveQrCodeParam createActiveTypeParam);

    SweetQrCode details(String mid);

    Boolean changeInfo(CreateActiveQrCodeParam createActiveTypeParam);
}
